package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 站内信业务类型
 *
 * @author: hzs
 */
@AllArgsConstructor
@Getter
public enum ENoticeBusinessType {

    /**
     * 签呈
     */
    PETITION(1, "签呈", 0, EnumsPrefixConstants.NOTICE_BUSINESS_TYPE + "1"),

    /**
     * 商品
     */
    COMMODITY(2, "商品", 0, EnumsPrefixConstants.NOTICE_BUSINESS_TYPE + "2"),

    /**
     * 产品
     */
    PRODUCT(3, "产品", 0, EnumsPrefixConstants.NOTICE_BUSINESS_TYPE + "3"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static ENoticeBusinessType getEnumByValue(int value) {
        for (ENoticeBusinessType enums : ENoticeBusinessType.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }

}
